% author: Matthias Humet
% 
%
function setlinestyles( h, styles, markers )
%SETLINESTYLES 

if length(styles) < length(h)
    error(['*** Error in setlinestyles.m: lenght(styles) must be at',... 
        ' least equal or bigger than length(h).'])
end

for k = 1:length(h)
    set(h(k),'linestyle',styles{k});
    if nargin > 2
        set(h(k),'marker',markers{k});     
    end
end



end

